package cn.hhj;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.netflix.eureka.EnableEurekaClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;

@SpringBootApplication
@EnableEurekaClient
@ComponentScan(value = {"cn.hhj.service","cn.hhj"})
@EnableFeignClients(basePackages={"cn.hhj.service"})
public class Consumer_Hystrix_80_StartSpringCloudApplication {
   public static void main(String[] args) {
      SpringApplication.run(Consumer_Hystrix_80_StartSpringCloudApplication.class, args);
   }
}