package cn.hhj;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.circuitbreaker.EnableCircuitBreaker;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.netflix.eureka.EnableEurekaClient;

@SpringBootApplication
@EnableEurekaClient
@EnableDiscoveryClient
@EnableCircuitBreaker
public class Provider_Dept_Hystrix_8001_StartSpringCloudApplication {
    public static void main(String[] args) {
        SpringApplication.run(Provider_Dept_Hystrix_8001_StartSpringCloudApplication.class, args);
    }
}