package cn.hhj;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.circuitbreaker.EnableCircuitBreaker;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.netflix.eureka.EnableEurekaClient;

@SpringBootApplication
@EnableEurekaClient   //注册到eureka
@EnableCircuitBreaker //启动熔断
@EnableDiscoveryClient //注册到服务中心，可以是eureka之外的其他服务
public class Upload_8201_StartSpringCloudApplication {
	public static void main(String[] args) {
		SpringApplication.run(Upload_8201_StartSpringCloudApplication.class, args);
	}
}
