package cn.hhj.service;

import cn.hhj.channel.InputProcess;
import cn.hhj.vo.Company;
import org.springframework.cloud.stream.annotation.EnableBinding;
import org.springframework.cloud.stream.annotation.StreamListener;
import org.springframework.messaging.Message;
import org.springframework.stereotype.Service;

@Service
@EnableBinding(InputProcess.class)
public class MessageListener {

    @StreamListener(InputProcess.INPUT)
    public void input(Message<Company> message) {
        System.err.println("【*** 消息接收 ***】" + message.getPayload());
    }

}
